package tp03.ex02;

import java.time.LocalDate;

public class UseToDoList {

	public static void main(String[] args) {
		ToDoList Alice = new ToDoList();
		ToDoList Bruno = new ToDoList();

		Alice.addTask(new Task("a1", LocalDate.now(), LocalDate.now().plusDays(3), 1));
		Alice.addTask(new Task("a2", LocalDate.now(), LocalDate.now().plusDays(4), 1));
		Alice.addTask(new Task("a3", LocalDate.now(), LocalDate.now().plusDays(5), 1));

		Bruno.addTask(new Task("b1", LocalDate.now(), LocalDate.now().plusDays(1), 1));
		Bruno.addTask(new Task("b2", LocalDate.now(), LocalDate.now().plusDays(5), 1));
		Bruno.addTask(new Task("b3", LocalDate.now(), LocalDate.now().plusDays(9), 1));

		System.out.println("Alice: " + Alice);
		System.out.println("Bruno: " + Bruno);

		Task[] newAliceTasks = Bruno.getTasks();

		for (int i = 0; i < newAliceTasks.length; i++) {
			Alice.addTask(newAliceTasks[i]);
			Bruno.removeTask(i);
		}

		System.out.println("Alice: " + Alice);
		System.out.println("Bruno: " + Bruno);

		Alice.durationSort();
		Alice.getTask(Alice.getNbTask() - 1).delay(30);
		Alice.senioritySort();
		Alice.getTask(Alice.getNbTask() - 1).delay(30);

		System.out.println("Alice: " + Alice);

	}

}